[Scilab-users] Scilab and macOS 10.13

classic Classic list List threaded Threaded
1 message Options
Arvid Rosén Arvid Rosén
Reply | Threaded
Open this post in threaded view
|

[Scilab-users] Scilab and macOS 10.13

Hi!

Anyone running Scilab 5.5.2 on macOS 10.13?

I tried to and ran into problems. After some fiddling, I found out a workaround, so I’ll post it here if anyone is interested.

Scilab seems to expect the following path to exist:
/System/Library/Frameworks/JavaVM.framework/Versions/1.5

In 10.13 it doesn’t, but the following one do exists:
/System/Library/Frameworks/JavaVM.framework/Versions/A

So, you need to reboot in recovery mode, turn off System Integrity Protection, and then create a symlink from A to 1.5. Reboot and turn on System Integrity Protection and you are good to go!

I don’t use Scilab 6 yet, so I don’t know if this applies in that case.

Cheers,
Arvid

-- 
Arvid Rosén
VP Research and Development

Softube AB
S:t Larsgatan 9D
S-582 24 Linköping
Sweden

Phone: (+46) 13 21 16 23
Mobile: (+46) 73 25 12 34 7
Mail: [hidden email]
URL: www.softube.se







_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users